diff --git a/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java b/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java
index 077e5d0f834..d2f8e111323 100644
--- a/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java
+++ b/spring-boot-project/spring-boot-actuator-autoconfigure/src/test/java/org/springframework/boot/actuate/autoconfigure/endpoint/web/documentation/MappingsEndpointServletDocumentationTests.java
@@ -150,12 +150,10 @@ public void mappings() throws Exception {
 						.description("Details of the method, if any, "
 								+ "that will handle requests to this mapping."),
 				fieldWithPath("*.[].details.handlerMethod.className")
-						.type(JsonFieldType.STRING)
 						.description("Fully qualified name of the class of the method."),
 				fieldWithPath("*.[].details.handlerMethod.name")
-						.type(JsonFieldType.STRING).description("Name of the method."),
+						.description("Name of the method."),
 				fieldWithPath("*.[].details.handlerMethod.descriptor")
-						.type(JsonFieldType.STRING)
 						.description("Descriptor of the method as specified in the Java "
 								+ "Language Specification."));
 		dispatcherServletFields.addAll(handlerMethod);
